package tracking

const sql_table = `
{{- $tablename := .tablename -}}
create table {{ $tablename }} (
  trackid {{ .idType }} primary key,
  {{ range .headFields -}}{{ . }} text,
  {{ end -}}
  timestamp timestamptz default current_timestamp,
  data {{ .jsonType -}}
);

{{- range $i, $cols := .indexes }}
create index idx_{{ $i }} on {{ $tablename }} ({{ $cols }});
{{- end }}
create index idx_timestamp on {{ .tablename }} (timestamp);
`
